require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddAppetizer(AppetizerType.SKEWERS, "skewersChicken", true);
SManager:AddAppetizer(AppetizerType.ASPARAGUS, "asparagusGrilled", false);
SManager:AddAppetizer(AppetizerType.CRACKERS, "crackersBrie", false);

SManager:AddMeal(MealType.PASTA, "fettucine", true);
SManager:AddMeal(MealType.VEGGIE, "veggie", false);
SManager:AddMeal(MealType.FISH, "fishGrilledLemonHal", false);

SManager:AddCake(CakeType.AUDREY, "cake1White", true);
SManager:AddCake(CakeType.CAKE5, "cake5Cocoa", true);
SManager:AddCake(CakeType.CARROT, "cake7Carrot", false);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.APPETIZER, SelectionType.MEAL, SelectionType.CAKE);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");